#!/bin/sh

srcdir=$1
destdir=$2



sprefix=`( cd ${srcdir} ; pwd )`
dprefix=`( cd ${destdir} ; pwd )`

echo "Sourcedir: ${sprefix} Destdir: ${destdir}"


rm -Rf ${dprefix}/aqdatabase 2>/dev/null

# aqdatabase
mkdir -p ${dprefix}/aqdatabase

# link files from src
hfiles=`( cd "${srcdir}/src" && ls *.h 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/${f}" "${dprefix}/aqdatabase/${f}"
       ;;
  esac
done

# link files from src/lib
hfiles=`( cd "${srcdir}/src/lib" && ls *.h 2>/dev/null )`
for f in ${hfiles}; do
  case ${f} in
    *_l.h | *_p.h)
       ;;
    *)
       ln -s "${sprefix}/src/lib/${f}" "${dprefix}/aqdatabase/${f}"
       ;;
  esac
done

